﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.SQLite;
using RoomiezApp.Model;

namespace RoomiezApp.Database
{
    public class LoginManager
    {
        private DBContext _db;
        public LoginManager(DBContext dbc)
        {
            _db = dbc;
        }

        public Roommate FindUser(string username, string password, int flat_id)
        {
            string q = $@"
                        SELECT id, username, password_hash, is_head, flat_id
                        FROM Roommate
                        WHERE username = '{username}' AND
                              password_hash = '{password}' AND
                              flat_id = {flat_id};
                        ";

            try
            {
                var reader =_db.ExecuteQuery(q);
                if (reader.Read())
                {
                    return Mapper.MapRoommate(reader);
                }
                return null;

            } catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
                return null;
            }
        }

        public Flat FindFlat(int id)
        {
            string q = $@"
            SELECT id, name from Flat
            WHERE id = {id}
            ";

            try
            {
                var reader = _db.ExecuteQuery(q);
                if (reader.Read())
                {
                    return Mapper.MapFlat(reader);
                }

                return null;
            } 
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
                return null;
            }
        }
    }
}
