﻿using RoomiezApp.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RoomiezApp.Database.Manager
{
    public class TaskManager
    {
        private DBContext _db;
        private int _flat_id;

        public TaskManager(DBContext db, int flat_id)
        {
            _db = db;
            _flat_id = flat_id;
        }

        public void DeleteTask(int id)
        {
            string q = $@"
            DELETE FROM Task
            WHERE id = {id};
            ";

            try
            {
                _db.ExecuteQuery(q);
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex);
            }
        }

        public void AddTask(string title, string description, DateTime dueDate, int roommate_id)
        {
            string q = $@"
            INSERT INTO task VALUES(null, null, '{title}', '{description}', '{dueDate.ToString("yyyy-MM-dd")}', false, {_flat_id}, {roommate_id});
            ";

            try
            {
                _db.ExecuteQuery(q);
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }

        public void UpdateTask(int id, string title, string description, DateTime dueDate, int roommate_id)
        {
            string q = $@"
                UPDATE Task
                SET title = '{title}', description = '{description}', deadline = '{dueDate.ToString("yyyy-MM-dd")}', roommate_id = {roommate_id}
                WHERE id = {id}; 
                ";

            try
            {
                _db.ExecuteQuery(q);
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }

        public void ToggleTaskCompleted(int id, bool completed)
        {
            string q = $@"
            UPDATE Task
            SET done = {completed}
            WHERE id = {id};
            ";
            try
            {
                _db.ExecuteQuery(q);
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }
    }
}
