﻿using RoomiezApp.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RoomiezApp.Forms.EventArgsModel
{
    public class TaskEventArgs
    {
        public string Title;
        public string Description;
        public DateTime Deadline;
        public Roommate Roommate;
        public bool Done;
        public int Id;

        public TaskEventArgs(int id, string title, string description, DateTime deadline, Roommate roommate, bool done)
        {
            Title = title;
            Description = description;
            Deadline = deadline;
            Roommate = roommate;
            Done = done;
            Id = id;
        }
    }
}
