![](graphics/logo_full.png "Roomiez Logo")

Rozhodla jsem se vytvořit desktopovou aplikaci navrženou pro usnadnění spolubydlení a organizace v rámci domácnosti. 
## Uživatelské role
__1. Hlavní spolubydlící__ (Head Roommate) - Hlavní uživatel je osoba, která zakládá a spravuje účet v aplikaci. Tato osoba má přístup ke všem funkcím aplikace a může přidávat a odstraňovat další uživatele. Hlavní uživatel také může přidělovat úkoly a spravovat náklady.

__2. Spolubydlící__ (Roommate) - Spolubydlící jsou osoby, které mají přístup k aplikaci pomocí přidělených přihlašovacích údajů. Tato role umožňuje plnit úkoly, podílet se na nákladech a spravovat nákupní seznam. Spolubydlící také může přidělovat úkoly a spravovat náklady.

## Funkce systému
__1. Úkolový manager__ – Uživatelé mohou přidávat, upravovat a mazat úkoly. Jednotlivé úkoly mohou být přiděleny konkrétním osobám nebo být sdíleny více spolubydlícími. Systém také umožňuje sledovat splnění úkolů.

__2. Nákupní seznam__ – Uživatelé mohou přidávat položky na nákupní seznam, který je sdílen mezi všemi spolubydlícími. 

__3. Správa financí__ – Uživatelé mohou sledovat náklady na nájem, energie, internet, vodu a další náklady. Systém umožňuje rozdělit náklady mezi spolubydlícími a také poskytuje přehled o tom, kdo co platil.

__4. Kalendář__ – Uživatelé mohou sledovat, do kdy mají splnit určité úkoly či uhradit náklady.

## Technologie pro vývoj
__IDE:__ Microsoft Visual Studio

__Programovací jazyk:__ C# 

__Framework:__ .NET s využitím Windows Forms 

__Databázový systém:__ SQLite

__ORM framework:__ .NET Entity Framework Core


Souběžně s kurzem PB175 absolvuji také kurz PV178, pro jehož splnění musím také vytvořit projekt – toto je ten projekt. Zatím nijak velké zkušenosti s C# nemám, okrem kurzu PB006, ale myslím že pár prvních úloh mě vybavilo dost na to, abych byla schopna projekt zvládnout. S databázemi jsem se setkala v předmětu PB154 a okrajově v PB168 a myslím že SQLite je pro potřeby mého projektu dostatečný. S Windows Forms jsem pracovala lehce na střední škole. Pro potřeby verzování budu používat Git.

## Životní cyklus
Pro tento projekt jsem se rozhodla použít Přírůstkový životního cyklus jelikož na projektu pracuji sama a potřebuji být schopna přidávat nové funkce a úpravy postupně, aby se projekt mohl průběžně testovat a vylepšovat. Umožní mi to se postupně učit pracovat s nástroji, které používám pro vývoj.  Přírůstkový cyklus také minimalizuje rizika větších chyb - nové funkce se přidávají a testují postupně.
