﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
using System.Xml;
using System.Data.SQLite;

namespace RoomiezApp.Database
{
    public class DBContext
    {

        private SQLiteConnection _connection;


        public void Connect()
        {
            //string connectionstring = GetConnectionString().Result;
            //Console.WriteLine(connectionstring);

            _connection = new SQLiteConnection("data source=C:\\Users\\User\\Desktop\\roomiezdb\\roomiez.db");

            try
            {
                _connection.Open();
                Console.WriteLine("connection established");

            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }

        }

        public SQLiteDataReader ExecuteQuery(string query)
        {
            SQLiteDataReader reader = null;

            try
            {
                SQLiteCommand command = new SQLiteCommand(query, _connection);
                reader = command.ExecuteReader();
            }
            catch (Exception ex)
            {
                Console.WriteLine($"Error executing query: {ex.Message}");
            }

            return reader;
        }

        public void Disconnect()
        {
            try
            {
                _connection.Close();
                Console.WriteLine("Connection closed");
            }
            catch (Exception ex)
            {
                Console.WriteLine($"Error closing connection: {ex.Message}");
            }
        }

        //private async Task<string> GetConnectionString()
        //{
        //    var client = new HttpClient();
        //    string xml_string = await client.GetStringAsync("http://jaktrade.cz/roomiez/db.xml");

        //    XmlDocument doc = new XmlDocument();
        //    doc.LoadXml(xml_string);

        //    string server    =  doc.SelectSingleNode("//server").InnerText;
        //    string database  =  doc.SelectSingleNode("//database").InnerText;
        //    string username  =  doc.SelectSingleNode("//username").InnerText;
        //    string password  =  doc.SelectSingleNode("//password").InnerText;

        //    StringBuilder connectionStringBuilder = new StringBuilder();
        //    connectionStringBuilder.Append($"Server={server};");
        //    connectionStringBuilder.Append($"Database={database};");
        //    connectionStringBuilder.Append($"Uid={username};");
        //    connectionStringBuilder.Append($"Pwd={password};");
        //    Console.WriteLine("hovno");
        //    Console.WriteLine(connectionStringBuilder.ToString());

        //    return connectionStringBuilder.ToString();
        //}



    }
}
