﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace RoomiezApp.Model
{
    public class Flat
    {
        public string Name
        {
            get
            {
                return _name;
            }
            set
            {
                _name = value;
            }
        }

        public List<Roommate> Roommates 
        {
            get 
            {
                return _roommates;
            }
        }

        public int Id
        {
            get
            {
                return _id;
            }
        }

        private int _id;
        private string _name;
        public List<string> ShoppingList;
        private List<Roommate> _roommates;
        public List<Task> tasks;
        //private List<FinanceItem> financeItems;
        
        public Flat(int id, string Name, List<string> shoppingList, List<Roommate> roommates, List<Task> tasks)
        {
            _id = id;
            _name = Name;
            this.ShoppingList = shoppingList;
            _roommates = roommates;
            this.tasks = tasks;
        }

        public Flat(int id, string name) : this(id, name, new List<string>(), new List<Roommate>(), new List<Task>())
        {
        }

        public void AddRoommate(Roommate r)
        {
            _roommates.Add(r);
        }

        public void ClearRoommates()
        {
            _roommates.Clear();
        }

    }
}
