# Přihlásit se
## ID
1
## Aktéři
Nepřihlášený uživatel
## Předpoklady
- Uživatel není přihlášen do aplikace
## Hlavní tok událostí
1. Uživatel spustí aplikaci
2. Systém zobrazí přihlašovací formulář s položkami pro zadání ID bytu, uživatelského jména a hesla
3. Uživatel vyplní své přihlašovací údaje a klikne na tlačítko "Přihlásit se"
4. Systém ověří, že zadané údaje jsou platné a patří k existujícímu uživateli v bytě
5. Systém přihlásí uživatele do aplikace a zobrazí úvodní obrazovku
## Alternativní toky událostí
1. Pokud uživatel zadá chybné přihlašovací údaje, systém zobrazí chybovou zprávu, že zadané údaje nejsou platné. Uživatel bude požádán o opakování přihlašování a zadání správných přihlašovacích údajů.

# Odhlásit se
## ID
2
## Aktéři
Přihlášený uživatel
## Předpoklady
- Uživatel je přihlášen do aplikace
## Hlavní tok událostí
1. Uživatel klikne na tlačítko "Odhlásit se"
2. Systém zobrazí potvrzovací dialog s dotazem, zda uživatel opravdu chce opustit aplikaci
3. Uživatel potvrdí, že chce opustit aplikaci
4. Systém odhlásí uživatele z aplikace a zobrazí stránku pro přihlášení
## Alternativní toky událostí

# Vytvořit byt
## ID
3
## Aktéři
Nepřihlášený uživatel
## Předpoklady

## Hlavní tok událostí
1. Nepřihlášený uživatel klikne na tlačítko "Vytvořit byt" na přihlašovací stránce aplikaci.
2. Systém zobrazí formulář pro vytvoření nového bytu.
3. Uživatel vyplní název bytu, popis bytu, přihlašovací jméno a heslo hlavního spolubydlícího.
4. Uživatel klikne na tlačítko "Vytvořit".
5. Systém uloží nový byt a hlavního uživatele do databáze a zobrazí potvrzení o úspěšném vytvoření.
## Alternativní toky událostí
1. Pokud uživatel nevyplní všechna povinná pole formuláře,systém zobrazí chybové hlášení, které uživatele upozorní. Pokud uživatel vyplní chybějící pole a pokračuje v hlavním scénáři.
2. Pokud uživatel klikne na tlačítko "Zrušit", systém zruší vytváření nového bytu a uživatele přesměruje zpět na přihlašovací stránku aplikace.


# Vytvořit úkol
## ID
4
## Aktéři
Hlavní spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace.
- Uživatel je Hlavní spolubydlící, má práva pro přístup k funkci "Vytvořit úkol".
## Hlavní tok událostí
1. Hlavní spolubydlící zvolí funkci "Vytvořit úkol".
2. Systém zobrazí formulář pro vytvoření nového úkolu.
3. Hlavní spolubydlící vyplní informace o úkolu (název, popis, termín splnění, přidělený spolubydlící, atd.).
4. Hlavní spolubydlící potvrdí vytvoření úkolu.
5. Systém uloží nový úkol do databáze a přidá ho na seznam úkolů.
## Alternativní toky událostí
1. Pokud uživatelé nemají přístup k funkci "Vytvořit úkol", systém je informuje o tomto omezení.
2. Pokud uživatelé zadají neplatné informace o úkolu (např. prázdný název), systém je upozorní na chybu a vrátí se na obrazovku s formulářem pro vytvoření úkolu.
3. Pokud uživatelé zruší vytváření nového úkolu, systém neuloží žádné změny.


# Upravit úkol
## ID
5
## Aktéři
Hlavní spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace
- Uživatel je Hlavní spolubydlící, má práva pro přístup k funkci 
## Hlavní tok událostí
1. Uživatel klikne na tlačítko "Upravit úkol" u konkrétního úkolu.
2. Systém zobrazí formulář s aktuálními údaji o úkolu.
3. Uživatel provede požadované změny v úkolu.
4. Uživatel klikne na tlačítko "Uložit".
5. Systém uloží provedené změny v úkolu a zobrazí potvrzení o úspěšném uložení.
## Alternativní toky událostí
1. Pokud uživatel klikne na tlačítko "Upravit úkol" u úkolu, který byl mezitím smazán jiným uživatelem, systém zobrazí chybové hlášení, které upozorní uživatele,

# Smazat úkol
## ID
6
## Aktéři
Hlavní spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace
- Uživatel je Hlavní spolubydlící, má práva pro přístup k funkci 
## Hlavní tok událostí
1. Uživatel klikne na tlačítko "Smazat úkol" u konkrétního úkolu.
2. Systém zobrazí dialogové okno s otázkou "Opravdu chcete smazat tento úkol?"
3. Uživatel potvrdí smazání úkolu kliknutím na tlačítko "Ano".
4. Systém smaže úkol a zobrazí potvrzení o úspěšném smazání.
## Alternativní toky událostí
1. Pokud uživatel klikne na tlačítko "Smazat úkol" u úkolu, který byl mezitím smazán jiným uživatelem, systém zobrazí chybové hlášení, které upozorní uživatele.

# Přidat položku nákladů
## ID
7
## Aktéři
Hlavní spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace
- Uživatel je hlavní spolubydlící
## Hlavní tok událostí
1. Uživatel klikne na tlačítko "Přidat položku nákladů" na stránce se seznamem nákladů.
2. Systém zobrazí formulář pro přidání položky nákladů.
3. Uživatel vyplní informace o nákladu, jako je název, popis, cena a datum nákupu.
4. Uživatel klikne na tlačítko "Přidat".
5. Systém uloží informace o položce nákladů a zobrazí potvrzení o úspěšném přidání.
## Alternativní toky událostí
1. Pokud uživatel vyplní nesprávný formát nebo nevyplní povinné údaje, systém zobrazí chybové hlášení, které upozorní uživatele na chyby a vyzve ho k opravě.
1. Pokud uživatel nemá právo na přidání položky nákladů, systém zobrazí chybové hlášení, které ho na to upozorní.

# Sledovat splnění úkolů
## ID
8
## Aktéři
Spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace.
## Hlavní tok událostí
1. Uživatel klikne na tlačítko "Sledovat splnění úkolů" v hlavním menu.
2. Systém zobrazí seznam všech úkolů včetně informace o jejich stavu (splněno/něsplněno).
3. Uživatel vybere konkrétní úkol, který chce sledovat.
4. Systém zobrazí detailní informace o vybraném úkolu, včetně seznamu uživatelů, kteří jsou přiřazeni k úkolu a informace o jejich splnění.
## Alternativní toky událostí
1. Pokud uživatel není přiřazen k úkolu, který chce sledovat, systém mu zobrazí chybové hlášení, které ho informuje, že nemá oprávnění k prohlížení tohoto úkolu.

# Splnit úkol
## ID
9
## Aktéři
Spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace.
- Uživatel má přístup k danému úkolu, který chce splnit.
## Hlavní tok událostí
1. Uživatel vybere úkol, který chce splnit.
2. Systém zobrazí detaily o daném úkolu.
3. Uživatel klikne na tlačítko "Splnit úkol".
4. Systém zobrazí dialogové okno s otázkou "Jste si jisti, že chcete tento úkol označit jako splněný?".
5. Uživatel potvrdí akci kliknutím na tlačítko "Ano".
6. Systém označí úkol jako splněný a zobrazí potvrzení o úspěšném splnění úkolu.
## Alternativní toky událostí
1. Pokud uživatel nemá oprávnění ke splnění daného úkolu, systém mu zobrazí chybové hlášení s informací o nedostatečných oprávněních.
2. Pokud uživatel klikne na tlačítko "Splnit úkol" u již splněného úkolu, systém mu zobrazí chybové hlášení, které ho upozorní, že úkol již byl splněn.

# Přidat položku na nákupní seznam
## ID
10
## Aktéři
Spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace.
## Hlavní tok událostí
1. Uživatel přistoupí k nákupnímu seznamu a klikne na tlačítko "Přidat položku".
2. Systém zobrazí formulář pro přidání nové položky.
3. Uživatel zadá název položky a počet kusů.
4. Uživatel klikne na tlačítko "Přidat".
5. Systém uloží novou položku na nákupní seznam a zobrazí potvrzení o úspěšném přidání.
## Alternativní toky událostí
1. Pokud uživatel zadá neplatný nebo prázdný název položky, systém zobrazí chybové hlášení a požádá uživatele, aby položku zadal znovu.
2. Pokud uživatel zadá neplatné číslo pro počet kusů položky, systém zobrazí chybové hlášení a požádá uživatele, aby číslo zadal znovu.
3. Pokud uživatel klikne na tlačítko "Zrušit" místo "Přidat", systém neuloží žádné změny a vrátí uživatele zpět na nákupní seznam.

# Odstranit položku z nákupního seznamu
## ID
11
## Aktéři
- Spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace
- V nákupním seznamu je alespoň jedna položka
## Hlavní tok událostí
1. Uživatel otevře nákupní seznam.
2. Systém zobrazí seznam položek v nákupním seznamu.
3. Uživatel vybere položku, kterou chce odstranit.
4. Uživatel klikne na tlačítko "Odstranit" vedle vybrané položky.
5. Systém zobrazí potvrzovací dialogové okno s dotazem, zda je uživatel jistý, že chce odstranit tuto položku.
6. Uživatel klikne na tlačítko "Ano" pro potvrzení odstranění položky.
7. Systém odstraní vybranou položku z nákupního seznamu a aktualizuje seznam.
## Alternativní toky událostí
1. Pokud uživatel nevybere žádnou položku k odstranění, systém zobrazí chybové hlášení a vyzve uživatele k výběru položky.
2. Pokud uživatel změní názor a nechce položku odstranit, klikne na tlačítko "Ne" v potvrzovacím dialogovém okně. Systém zavře dialogové okno a neodstraní položku z nákupního seznamu.

# Zobrazit nákupní seznam
## ID
12
## Aktéři
Spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace.
- Existuje nákupní seznam.
## Hlavní tok událostí
1. Uživatel klikne na tlačítko "Zobrazit nákupní seznam".
2. Systém zobrazí seznam všech položek v nákupním seznamu.
## Alternativní toky událostí

# Zobrazit náklady
## ID
13
## Aktéři
Spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace.
- Uživatel má přístup k funkci pro zobrazení nákladů.
## Hlavní tok událostí
1. Uživatel klikne na tlačítko "Zobrazit náklady" v hlavním menu.
2. Systém zobrazí seznam všech nákladů za určité období.
3. Uživatel může upravovat časové rozpětí a filtrovat náklady podle různých parametrů nebo jiných parametrů.
4. Uživatel může kliknout na konkrétní položku v seznamu, aby viděl podrobnosti o této položce.
## Alternativní toky událostí
1. Pokud nejsou žádné náklady k dispozici, systém zobrazí hlášku, že nebyly nalezeny žádné náklady pro zadané období nebo filtry.
2. Pokud uživatel nezadá žádné filtry nebo časové rozpětí, systém zobrazí všechny náklady v databázi.

# Rozdělit náklady
## ID
14
## Aktéři
Hlavní spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace.
- Uživatel je hlavní spolubydlící
- Náklady na položky jsou již zapsány do aplikace
## Hlavní tok událostí
1. Hlavní spolubydlící vybere ze seznamu položku nákladu
2. Hlavní spolubydlící klikne na tlačítko "Rozdělit náklady".
3. Hlavní spolubydlící zadá procentuální podíl (případně výši částky) pro každého z účastníků a potvrdí rozdělení.
4. Systém uloží rozdělení nákladů a zobrazí potvrzení o úspěšném rozdělení.

# Označit platbu jako zaplacenou
## ID
15
## Aktéři
Spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace.
- Platba byla již vytvořena a zaznamenána v systému.
## Hlavní tok událostí
1. Uživatel zobrazí seznam plateb.
2. Uživatel vybere konkrétní platbu, kterou chce označit jako zaplacenou.
3. Systém zobrazí detaily vybrané platby a tlačítko pro označení platby jako zaplacené.
4. Uživatel klikne na tlačítko "Označit jako zaplacené".
5. Systém zaznamená platbu jako zaplacenou a zobrazí potvrzení o úspěšném označení platby jako zaplacené.
## Alternativní toky událostí
- Pokud uživatel vybere platbu, ke které není napsán,systém zobrazí chybové hlášení.
- Pokud uživatel vybere platbu, která již byla označena jako zaplacená, systém zobrazí chybové hlášení.

# Zobrazit kalendář
## ID
16
## Aktéři
Spolubydlící
## Předpoklady
- Uživatel je přihlášen do aplikace.
## Hlavní tok událostí
1. Uživatel klikne na tlačítko "Kalendář" v hlavním menu.
2. Systém zobrazí kalendář s aktuálním měsícem a zvýrazní aktuální datum.
3. Uživatel může procházet kalendářem klikáním na tlačítka "Předchozí měsíc" a "Následující měsíc".
4. Uživatel může zobrazit podrobnosti o konkrétním dni v kalendáři kliknutím na daný den.
5. Pokud v daný den existuje nějaká událost nebo úkol, systém je zobrazí v kalendáři
## Alternativní toky událostí

